std::pmr::monotonic_buffer_resource::do_is_equal(3)

NAME
std::pmr::monotonic_buffer_resource::do_is_equal - std::pmr::monotonic_buffer_resource::do_is_equal

Synopsis
   virtual bool do_is_equal( const std::pmr::memory_resource& other ) (since C++17)
   const noexcept;
   Compare *this with other for identity - memory allocated using a
   monotonic_buffer_resource can only be deallocated using that same resource.

Return value
   this == &other
  Defect report
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
      DR Applied to Behavior as published Correct behavior
   LWG 3000 C++17 unnecessary dynamic_cast was performed removed

See also
   do_is_equal compare for equality with another memory_resource
   [virtual] (virtual private member function of std::pmr::memory_resource)